docs

# SendVenue

data class SendVenue ( val chatId: ChatIdentifier , val latitude: Double , val longitude: Double , val title: String , val address: String , val foursquareId: FoursquareId ? = null, val foursquareType: FoursquareType ? = null, val googlePlaceId: GooglePlaceId ? = null, val googlePlaceType: GooglePlaceType ? = null, val disableNotification: Boolean = false, val protectContent: Boolean = false, val replyToMessageId: MessageIdentifier ? = null, val allowSendingWithoutReply: Boolean ? = null, val replyMarkup: KeyboardMarkup ? = null) : SendMessageRequest < ContentMessage < VenueContent >> , PositionedSendMessageRequest < ContentMessage < VenueContent >> , TitledSendMessageRequest < ContentMessage < VenueContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < VenueContent >>
Content copied to clipboard

## Constructors

SendVenue
Link copied to clipboard
fun SendVenue ( chatId: ChatIdentifier , venue: Venue , disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null)
Content copied to clipboard
SendVenue
Link copied to clipboard
fun SendVenue ( chatId: ChatIdentifier , latitude: Double , longitude: Double , title: String , address: String , foursquareId: FoursquareId ? = null, foursquareType: FoursquareType ? = null, googlePlaceId: GooglePlaceId ? = null, googlePlaceType: GooglePlaceType ? = null, disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

address
Link copied to clipboard
val address : String
Content copied to clipboard
allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
foursquareId
Link copied to clipboard
val foursquareId : FoursquareId ? = null
Content copied to clipboard
foursquareType
Link copied to clipboard
val foursquareType : FoursquareType ? = null
Content copied to clipboard
googlePlaceId
Link copied to clipboard
val googlePlaceId : GooglePlaceId ? = null
Content copied to clipboard
googlePlaceType
Link copied to clipboard
val googlePlaceType : GooglePlaceType ? = null
Content copied to clipboard
latitude
Link copied to clipboard
open override val latitude : Double
Content copied to clipboard
longitude
Link copied to clipboard
open override val longitude : Double
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < VenueContent >>
Content copied to clipboard
title
Link copied to clipboard
open override val title : String
Content copied to clipboard